Subject: Re: [PATCH v5 06/30] fsmonitor--daemon: add a built-in fsmonitor daemon

From: Junio C Hamano <[email-masked]>
Date: Tue, 01 Mar 2022 09:37:15 -0800

Jeff Hostetler <[email-masked]> writes:

> Finally, I'm not sure how much value there is in being able to catch
> parse_options() BUGs on Linux (or any other yet-to-be-supported
> platform).

I don't either.  Even though I am not 100% happy with the current
implementation of the embedded sanity checker in parse-options API,
as long as it is made available on all platforms, developers of a
platform specific part can also take advantage of it to catch any
issues while they develop, without waiting for Linux (or other
platforms) users to help them do so.